<?php
require('../fpdf/fpdf.php');

class PDF extends FPDF
{
    // Cabecera de página
    function Header()
    {

        // Arial Bold
        $this->SetFont('Arial', 'B', 16);

        // Título
        $this->Cell(70, 10, 'LISTA DE PROVEEDORES');
        // Salto de línea
        $this->Ln(16);
        // Colores 
        //$this->SetDrawColor(128,0,0);
        //$this->SetFillColor(128, 0, 0);
        //$this->SetTextColor(255, 255, 255);
        //$this->SetDrawColor(11, 63, 71);

        $this->Cell(7, 6, "ID", 1, 0, 'C');
        $this->Cell(26, 6, "RUC", 1, 0, 'C');
        $this->Cell(30, 6, "Proveedor", 1, 0, 'C');
        $this->Cell(40, 6, "Contacto", 1, 0, 'C');
        $this->Cell(26, 6, "Telefono", 1, 0, 'C');
        $this->Cell(70, 6, "Direccion", 1, 0, 'C');
    }

    // Pie de página
    function Footer()
    {
        // Posición: a 1,5 cm del final
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial', 'I', 8);
        // Número de página
        $this->Cell(0, 10, utf8_decode('Página') . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }
}

require '../conexion.php';
$query = mysqli_query($conection, "SELECT * FROM proveedor
WHERE estatus = 1 ORDER BY idproveedor");

$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 11);

while ($data = mysqli_fetch_array($query)) {
    $formato = 'Y-m-d H:i:s';
    $fecha = DateTime::createFromFormat($formato, $data["date_add"]);

    //$pdf->SetFillColor(11, 63, 71);
    //$pdf->SetDrawColor(11, 63, 71);
    //$pdf->SetTextColor(255, 255, 255);

    $pdf->Ln();
    $pdf->Cell(7, 5, $data['idproveedor'], 1, 0, 'C');
    $pdf->Cell(26, 5, $data['ruc'], 1, 0, 'C');
    $pdf->Cell(30, 5, $data['proveedor'], 1, 0, 'C');
    $pdf->Cell(40, 5, $data['contacto'], 1, 0, 'C');
    $pdf->Cell(26, 5, $data['telefono'], 1, 0, 'C');
    $pdf->Cell(70, 5, $data['direccion'], 1, 0, 'C');
}

$modo = "I";
$nombre_archivo = "Proveedores" . ".pdf";
$pdf->Output($nombre_archivo, $modo);
